## ros-indigo-smarthome-heater-msgs-java 0.1.21

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(smarthome_heater_msgs_java)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED genjava smarthome_heater_msgs)

generate_rosjava_messages(
  PACKAGES
  smarthome_heater_msgs
)

catkin_package()

##############################################################################
# Installation
##############################################################################

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_MAVEN_DESTINATION}/org/ros/rosjava_messages/
        DESTINATION ${CATKIN_GLOBAL_MAVEN_DESTINATION}/org/ros/rosjava_messages)

=== debian/changelog ===
ros-indigo-smarthome-heater-msgs-java (0.1.21-0trusty) trusty; urgency=high

  * Add roslib to packages dependencies
  * Add rosjava_messages to package dependencies
  * Add rosdistro dependency (needed by genjava)
  * Contributors: Erwan Le Huitouze

 -- Mickaël Gaillard <mick.gaillard@gmail.com>  Fri, 03 Jun 2016 22:00:00 -0000

ros-indigo-smarthome-heater-msgs-java (0.1.20-0trusty) trusty; urgency=high

  * Change package generation to genjava
  * Contributors: Erwan Le Huitouze

 -- Mickaël Gaillard <mick.gaillard@gmail.com>  Tue, 31 May 2016 22:00:00 -0000

ros-indigo-smarthome-heater-msgs-java (0.1.19-0trusty) trusty; urgency=high

  * Rename package to smarthome_heater_msgs_java
  * Update catkin dependencies
  * Add license
  * Update package file description
  * Contributors: Alfred Team, Erwan Le Huitouze

 -- Mickaël Gaillard <mick.gaillard@gmail.com>  Mon, 30 May 2016 22:00:00 -0000

ros-indigo-smarthome-heater-msgs-java (0.1.10-0trusty) trusty; urgency=high

  * Change package name
  * Update CMake files
  * Contributors: Erwan Le Huitouze

 -- Mickaël Gaillard <mick.gaillard@gmail.com>  Sat, 24 Oct 2015 11:46:00 -0000

ros-indigo-smarthome-heater-msgs-java (0.1.9-0trusty) trusty; urgency=high

  * Add heater msgs java
  * Contributors: Erwan Le Huitouze

 -- Mickaël Gaillard <mick.gaillard@gmail.com>  Sat, 04 Apr 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-smarthome-heater-msgs-java
Section: misc
Priority: extra
Maintainer: Mickaël Gaillard <mick.gaillard@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-rosdistro, ros-indigo-catkin, ros-indigo-genjava, ros-indigo-rosjava-build-tools, ros-indigo-rosjava-messages, ros-indigo-roslib, ros-indigo-smarthome-heater-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-smarthome-heater-msgs-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-genjava, ros-indigo-rosjava-build-tools
Description: Java generation for smarthome_heater_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-smarthome-heater-msgs-java//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
